%define oname	epc

%define api		1.0
%define major		3
%define libname		%mklibname %{oname} %{api} %{major}
%define develname	%mklibname %{oname} -d 

%define url_ver %(echo %{version} | cut -d "." -f -2)

Summary:	Easy Publish and Consume library
Name:		libepc
Version:	0.4.4
Release:	%mkrel 2
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
License:	LGPLv2+
Group:		System/Libraries
Url:		http://www.gnome.org/
BuildRequires:	intltool
BuildRequires: %{_lib}atk1.0-devel
BuildRequires: %{_lib}avahi-client-devel
BuildRequires: %{_lib}avahi-common-devel
BuildRequires: %{_lib}avahi-glib-devel
BuildRequires: %{_lib}avahi-ui-devel
BuildRequires: %{_lib}cairo-devel
BuildRequires: %{_lib}gdk_pixbuf2.0_0-devel
BuildRequires: %{_lib}glib2.0-devel
BuildRequires: %{_lib}gnutls-devel
BuildRequires: %{_lib}gtk+3.0-devel
BuildRequires: %{_lib}pango1.0-devel
BuildRequires: %{_lib}soup-devel
BuildRequires: %{_lib}uuid-devel
BuildRequires: wayland-protocols-devel


%description
The Easy Publish and Consume library provides an easy method to:

* publish data per HTTPS
* announce that information via DNS-SD
* find that information
* and finally consume it

You can use this library as key/value store published to the network,
using encryption, authentication and service discovery.

%package -n %{libname}
Group:		System/Libraries
Summary:	Easy Publish and Consume library
Obsoletes:	%{_lib}epc1.0_2

%description -n %{libname}
The Easy Publish and Consume library provides an easy method to:

* publish data per HTTPS
* announce that information via DNS-SD
* find that information
* and finally consume it

You can use this library as key/value store published to the network,
using encryption, authentication and service discovery.

%package -n %{develname}
Group:		Development/Libraries
Summary:	Easy Publish and Consume library
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	%{oname}-devel = %{version}-%{release}
Conflicts:	%{mklibname %{oname} -d} < 0.4.0

%description -n %{develname}
The Easy Publish and Consume library provides an easy method to:

* publish data per HTTPS
* announce that information via DNS-SD
* find that information
* and finally consume it

You can use this library as key/value store published to the network,
using encryption, authentication and service discovery.

%prep
%setup -q

%build
%configure2_5x --disable-static
%make

%install
rm -rf %{buildroot}
%makeinstall_std

rm -f %buildroot%_libdir/libepc*.la

%clean
rm -rf %{buildroot}


%files -n %{libname}
%defattr(-,root,root)
%doc README
%{_libdir}/%{name}-%{api}.so.%{major}*
%{_libdir}/%{name}-ui-%{api}.so.%{major}*
%{_datadir}/locale

%files -n %{develname}
%defattr(-,root,root)
%doc NEWS ChangeLog AUTHORS
%doc %{_datadir}/gtk-doc/html/%{name}-%{api}
%{_libdir}/libepc-%{api}.so
%{_libdir}/libepc-ui-%{api}.so
%{_libdir}/pkgconfig/libepc-%{api}.pc
%{_libdir}/pkgconfig/libepc-ui-%{api}.pc
%{_includedir}/libepc-%{api}
%{_includedir}/libepc-ui-%{api}


%changelog
* Sat Mar 17 2017 pp <pp> 0.4.4-2pclos2017
- rebuild
- updated BR

* Fri Aug 22 2014 bb <bb> 0.4.4-1pclos2014
- update for new directfb

